Can a flashed Mac Pro 2009 (5,1) support macOS Mojave

morphis

macrumors newbie
Original poster
Jun 7, 2018
2
0
Can macOS Mojave be installed on a Mac Pro 2009 that has been flashed/upgraded to the 5,1 firmware (Mine already is) with a Metal supported GPU like a AMD RX 580?
 

bookemdano

macrumors 65816
Jul 29, 2011
1,390
769
I'm not sure that anyone has specifically reported that yet. The release from Tuesday is hard-coded to not install on the 5,1, but I think a few people with the know-how have gotten it running. But I'm not sure if any of them had 4,1->5,1s.

It should work though. If Apple really wanted to hard code an exclusion for 4,1->5,1 flashes then they could have/would have done it with High Sierra. I don't think they really care.
 

crjackson2134

macrumors 601
Mar 6, 2013
4,742
1,899
Charlotte, NC
I know of one user who has it working. It's a PITA right at this moment, because installing on the 5,1 isn't YET (as in the current DP) officially supported. It is possible however with some hackish skill sets. But it will be fully supported very soon, so I would just wait.

I fully expect that you can install without problems once the code is cooked, if your GPU is supported.
 
Last edited:

crjackson2134

macrumors 601
Mar 6, 2013
4,742
1,899
Charlotte, NC
This is the one I was referring to

Apple says No

I say Yes :D

View attachment 764550




(I had a quick look at the GPU drivers everything pre-metal has been purged, interesting NVIDIA fermi drivers are still there so does Fermi actually support metal? i Remember that being a bit debated "back in the day" no NVIDIA drivers newer then kepler tho sadly)
FEA6105D-2DEC-4078-B518-D72FE8D738D9.png
 
Last edited:
  • Like
Reactions: zoltm and flowrider
Register on MacRumors! This sidebar will go away, and you'll see fewer ads.